/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                                                                                                         //
//                                                PROG14998 Interactive Drawing Assignment - Deviljho Encounter                                                            //
//                                                                  Lena Stonewell (Schott)                                                                                //
//                                                                         09/20/2018                                                                                      //
//                                                                                                                                                                         //
// Fight against the king pickle himself using your greatsword charge attack, but be careful, the Deviljho is easily enraged! Hope you enjoy my tribute to Monster Hunter! //
//                                                                                                                                                                         //
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void setup(){

// Setup of canvas  
  
size(400,400);
rectMode(CORNERS);
ellipseMode(CENTER);

}

void draw(){

frameRate(30);
background(100,150,200); 
noStroke();
  
 
//Drawing Deviljho  
  
  
//Layer 1: Deviljho Inside Teeth and Minor Details

//Triangle 21
fill(196,197,138);
triangle(68,129,90,129,58,155);

//Triangle 22
triangle(78,115,92,138,75,151);

//Triangle 23
triangle(102,138,115,141,100,152);

//Triangle 24
triangle(115,141,125,145,112,152);

//Triangle 27
triangle(45,145,52,180,22,180);

//Triangle 39
triangle(5,198,30,210,22,230);

//Triangle 40
triangle(8,230,30,232,23,247);

//Triangle 44
triangle(28,275,70,288,52,268);

//Triangle 46
triangle(70,285,80,295,62,298);

//Triangle 47
triangle(80,295,103,296,67,308);

//Triangle 10
fill(67,84,67);
triangle(250,255,258,278,220,292);

//Triangle 11
triangle(250,255,272,270,258,285);

//Triangle 12
triangle(335,28,333,50,305,65);

//Triangle 13
triangle(360,12,353,35,330,55);

//Triangle 14
triangle(380,0,385,15,365,30);


///////////////////////////////////////////////////

//Lady 2: Main Body

fill(53,54,33);

//Circle 1
ellipse(100,250,130,100);

//Circle 2
ellipse(135,120,32,32);

//Circle 3
ellipse(60,200,100,90);

//Rectangle 1
rect(198,80,340,120);

//Rectangle 2
rect(180,120,340,270);

//Rectangle 3
rect(340,80,400,320);

//Triangle 1
triangle(78,88,178,130,35,130);

//Triangle 2
triangle(208,98,180,160,70,130);

//Triangle 3
triangle(265,125,130,290,62,198);

//Triangle 4
triangle(200,205,175,283,100,300);

//Triangle 5
triangle(200,80,200,120,168,120);

//Triangle 6
triangle(260,60,360,80,198,80);

//Triangle 7
triangle(400,0,400,100,255,100);

//Triangle 8
triangle(340,250,340,320,240,250);

//Triangle 9
triangle(190,270,260,260,213,283);

//Triangle 49
triangle(70,225,19,225,50,278);

/////////////////////////////////////////////////

//Layer 3: Deviljho Outside Teeth

//pale yellow colour
fill(238,223,117);

//Triangle 26
triangle(10,156,38,178,22,195);

//Triangle 28
triangle(67,155,75,187,55,192);

//Triangle 29
triangle(87,162,98,207,81,196);

//Triangle 30
triangle(103,172,110,205,98,198);

//Triangle 31
triangle(115,164,128,191,110,198);

//Triangle 32
triangle(135,165,145,185,140,200);

//Triangle 33
triangle(7,178,40,200,40,250);

//Triangle 34
triangle(30,183,52,209,38,212);

//Triangle 35
triangle(52,200,85,222,60,219);

//Triangle 36
triangle(89,209,110,225,93,228);

//Triangle 37
triangle(105,212,119,229,109,231);

//Triangle 38
triangle(115,205,128,219,115,221);

//Triangle 41
triangle(5,245,30,238,42,263);

//Triangle 42
triangle(32,235,71,265,45,273);

//Triangle 43
triangle(45,219,85,251,58,250);

//Triangle 45
triangle(95,245,110,263,97,260);

//Triangle 15
triangle(70,95,60,105,42,102);

//Triangle 16
triangle(60,105,50,122,24,120);

//Triangle 17
triangle(39,130,53,130,29,148);

//Triangle 18
triangle(60,120,76,118,52,143);

//Triangle 19
triangle(82,115,90,122,75,132);

//Triangle 20
triangle(100,125,110,130,95,142);

//Triangle 25
triangle(147,143,155,145,141,157);

//Deviljho parts that light up when enraged.

//light green colour
fill(133,139,63);

//Quad 1
quad(210,158,250,158,220,180,180,176);

//Quad 2
quad(245,130,270,120,255,140,238,140);

//Quad 3
quad(280,120,400,45,400,65,272,140);

//Quad 4
quad(240,180,280,160,390,165,370,190);

//////////////////////////////////////////////////

//Deviljho eye follows player's movements around the screen.

//Triangle 48 (Eye)
fill(0);
triangle(255,90,245,118,205,108);

//Circle 4 (Iris)
fill(255);
ellipse(228+(mouseX/20),100+(mouseY/30),2,2);

/////////////////////////////////////////////////

//Drawing Greatsword

noStroke();

//Rectangle 7 (Handle)
fill(75,65,64);
rect(mouseX-80,mouseY-10,mouseX,mouseY+10);

//Triangle 53 (Middle Tooth)
fill(196,187,118);
triangle(mouseX+90,mouseY+10,mouseX+130,mouseY+10,mouseX+120,mouseY+30);

//Triangle 51 (Front Teeth)
fill(238,223,117);
triangle(mouseX+90,mouseY-30,mouseX+220,mouseY-30,mouseX+150,mouseY+30);

//Triangle 52 (Blade Tooth)
triangle(mouseX+80,mouseY+10,mouseX+120,mouseY+10,mouseX+80,mouseY+30);

//Rectangle 5 (Blade)
fill(107,107,107);
rect(mouseX+10,mouseY-30,mouseX+170,mouseY+10);

//Rectangle 6 *Blade)
fill(98,98,98);
rect(mouseX+10,mouseY+10,mouseX+80,mouseY+30);

//Triangle 50 (Cross-guard)
fill(189,68,40);
triangle(mouseX+10,mouseY+40,mouseX+10,mouseY-40,mouseX-30,mouseY);

}

void mousePressed() {

//This action charges the greatsword to hit the Deviljho, but also enrages it.
  
frameRate(5);
background(0);
stroke(219,0,0);

//Top Lightning
line(70,50,120,80);
line(120,80,180,50);
line(160,60,130,50);
line(130,50,140,30);
line(180,50,200,80);
line(193,70,140,90);
line(180,0,200,50);
line(160,10,190,30);
line(230,10,200,50);
line(200,50,230,70);
line(230,10,250,0);
line(220,40,230,50);
line(230,50,250,30);
line(250,30,280,45);
line(280,45,295,28);
line(270,10,320,45);
line(270,10,260,20);
line(260,20,250,10);
line(300,10,310,38);

//Bottom Lightning
line(100,400,190,300);
line(190,300,245,320);
line(290,288,230,330);
line(230,330,250,350);
line(250,350,220,400);
line(160,335,170,400);
line(330,315,300,400);
line(320,343,340,380);
line(340,380,350,383);
line(350,383,345,400);

//Deviljho's parts that light of red when enraged.

fill(219,0,0);
noStroke();
//Quad 1
quad(210,158,250,158,220,180,180,176);

//Quad 2
quad(245,130,270,120,255,140,238,140);

//Quad 3
quad(280,120,400,45,400,65,272,140);

//Quad 4
quad(240,180,280,160,390,165,370,190);

//Triangle 48 (Eye)
triangle(255,90,245,118,205,108);

//Circle 4 (Iris)
fill(255);
ellipse(225+(mouseX/20),100+(mouseY/30),6,6);

//Greatsword lights up for charge attack.

//Rectangle 7 (Handle)
rect(mouseX-80,mouseY-10,mouseX,mouseY+10);

//Triangle 53 (Middle Tooth)
triangle(mouseX+90,mouseY+10,mouseX+130,mouseY+10,mouseX+120,mouseY+30);

//Triangle 51 (Front Teeth)
triangle(mouseX+90,mouseY-30,mouseX+220,mouseY-30,mouseX+150,mouseY+30);

//Triangle 52 (Blade Tooth)
triangle(mouseX+80,mouseY+10,mouseX+120,mouseY+10,mouseX+80,mouseY+30);

//Rectangle 5 (Blade)
rect(mouseX+10,mouseY-30,mouseX+170,mouseY+10);

//Rectangle 6 *Blade)
rect(mouseX+10,mouseY+10,mouseX+80,mouseY+30);

//Triangle 50 (Cross-guard)
triangle(mouseX+10,mouseY+40,mouseX+10,mouseY-40,mouseX-30,mouseY);

}

